# FoundationClasses
TKernel
NCollection

# NCollection_BaseMap::Iterator Class Reference

`#include <NCollection_BaseMap.hxx>`

Inheritance diagram for NCollection_BaseMap::Iterator:

[legend]

## Public Member Functions

void | Initialize (const NCollection_BaseMap &theMap)
| Initialize.
void | Reset (void)
| Reset.

## Protected Member Functions

| Iterator (void)
| Empty constructor.
| Iterator (const NCollection_BaseMap &theMap)
| Constructor.
Standard_Boolean | PMore (void) const
| PMore.
void | PNext (void)
| PNext.

## Protected Attributes

Standard_Integer | myNbBuckets
| Total buckets in the map.
NCollection_ListNode ** | myBuckets
| Location in memory.
Standard_Integer | myBucket
| Current bucket.
NCollection_ListNode * | myNode
| Current node.

## Constructor & Destructor Documentation

NCollection_BaseMap::Iterator::Iterator | ( | void |  | ) | `[inline, protected]`

| Reimplemented in NCollection_DataMap< TheKeyType, TheItemType >::Iterator, NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator, and NCollection_Map< TheKeyType >::Iterator.

NCollection_BaseMap::Iterator::Iterator | ( | const NCollection_BaseMap & | theMap | ) | `[inline, protected]`

## Member Function Documentation

void NCollection_BaseMap::Iterator::Initialize | ( | const NCollection_BaseMap & | theMap | ) | `[inline]`

Standard_Boolean NCollection_BaseMap::Iterator::PMore | ( | void |  | ) | const`[inline, protected]`

void NCollection_BaseMap::Iterator::PNext | ( | void |  | ) | `[inline, protected]`

void NCollection_BaseMap::Iterator::Reset | ( | void |  | ) | `[inline]`

## Field Documentation

Standard_Integer NCollection_BaseMap::Iterator::myBucket `[protected]`

NCollection_ListNode** NCollection_BaseMap::Iterator::myBuckets `[protected]`

Standard_Integer NCollection_BaseMap::Iterator::myNbBuckets `[protected]`

NCollection_ListNode* NCollection_BaseMap::Iterator::myNode `[protected]`

The documentation for this class was generated from the following file:

- NCollection_BaseMap.hxx